/*FUNCTIONS FOR HANDLING CHANNEL 4 OF A/D CONVERTER IN BOLT 18F2550 SYSTEM
AN ANALOG VOLTAGE 0-5 VOLT MUST BE CONNECTED TO PIN 2 OF AUX. PORT,
INPUT RA5 OF 18F2550. INCLUDE LIBRARY <adc.h> IN MAIN PROGRAM*/

/*AVAILABLE FUNCTIONS*/

void open_bolt_adc(void);
int bolt_adc(void);

void open_bolt_adc(void)		//INITIALIZE CHANNEL 4
{
OpenADC( ADC_FOSC_64 &
ADC_RIGHT_JUST &
ADC_12_TAD,
ADC_CH4 &
ADC_INT_OFF,15);
}

int bolt_adc(void)		//RETURNS WITH RESULT OF CONVERSION AND DESACTIVATES ADC
{
int a;
ADCON1=10;				//ACTIVATE CHANNEL 4
ConvertADC(); 			// Inicia conversion
while( BusyADC() ); 	// wait for end of conversion
a = ReadADC(); 			// reads result
ADCON1=15;				//DESACTIVATES CHANNEL 4
return a;
}
